/*!
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
import { ICodeLoader, ICodeAllowList, IFluidCodeDetails, IFluidModule, IFluidCodeResolver } from "@fluidframework/container-definitions";
export declare class WebCodeLoader implements ICodeLoader {
    private readonly codeResolver;
    private readonly allowList?;
    private readonly loadedModules;
    private readonly scriptManager;
    constructor(codeResolver: IFluidCodeResolver, allowList?: ICodeAllowList | undefined);
    seedModule(source: IFluidCodeDetails, maybeFluidModule?: Promise<IFluidModule> | IFluidModule): Promise<void>;
    preCache(source: IFluidCodeDetails, tryPreload: boolean): Promise<void>;
    /**
     * @param source - Details of where to find chaincode
     */
    load(source: IFluidCodeDetails): Promise<IFluidModule>;
    private loadModuleFromResolvedCodeDetails;
}
//# sourceMappingURL=webLoader.d.ts.map